function [cil,ciu] = ci_f(f,y,clevel);
% --------------- Compute Equal Tailed Prediction Interval from Scaled PDF ----------
  F = cumsum(f);
  tmpl = (1-clevel)/2;
  tmpu = 1-tmpl;
  [tmp,iil] = min(abs(F -tmpl));
  [tmp,iiu] = min(abs(F -tmpu));
  cil = y(iil);
  ciu = y(iiu);
end

